/**
 * output package name
 */
package com.kingdee.eas.custom.esign.bizEnum;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.IntEnum;

/**
 * output class name
 */
public class SealStyleEnum extends IntEnum
{
    public static final int ORG_TEMPLATE_SEAL_VALUE = 1;//alias=»ú¹¹Ä£°åÕÂ
    public static final int IMAGE_SEAL_VALUE = 3;//alias=Í¼Æ¬Ó¡ÕÂ

    public static final SealStyleEnum ORG_TEMPLATE_SEAL = new SealStyleEnum("ORG_TEMPLATE_SEAL", ORG_TEMPLATE_SEAL_VALUE);
    public static final SealStyleEnum IMAGE_SEAL = new SealStyleEnum("IMAGE_SEAL", IMAGE_SEAL_VALUE);

    /**
     * construct function
     * @param integer sealStyleEnum
     */
    private SealStyleEnum(String name, int sealStyleEnum)
    {
        super(name, sealStyleEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static SealStyleEnum getEnum(String sealStyleEnum)
    {
        return (SealStyleEnum)getEnum(SealStyleEnum.class, sealStyleEnum);
    }

    /**
     * getEnum function
     * @param String arguments
     */
    public static SealStyleEnum getEnum(int sealStyleEnum)
    {
        return (SealStyleEnum)getEnum(SealStyleEnum.class, sealStyleEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(SealStyleEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(SealStyleEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(SealStyleEnum.class);
    }
}